Subject: Re: your mail

From: Zheng Gengbin <[email-masked]>
Date: Sat, 16 Nov 1996 10:08:25 +0800 (EAT)

On Fri, 15 Nov 1996, Guansong Zhang wrote:

> The LEX problem exist on most unix machine, Xinying may have a better
> explaination then me.
> 
> Here I want say a word about configure.in.
> 
> At present time, configure determine the LEX by try flex first. Maybe this is
> not correct for our project due to the bug exist in flex itself.
> 
> I don't know exactly the meaning of:
> 
> setenv LEX lex ; ./configure
> 
> But according to autoconf handbook, if you want to change the configuration,
> you should cahnge the config.cache file. We do this to adjust things like LEX,
> YACC, CC and CXX.
> 
> I hope we use the same way to deal with this.
> 

	To change config.cache is a way . But if you have no config.cahce
when you run configure first time , you have to run it more than twice  .

As autoconf handbook , configure serach environment variable first , if
you do not define LEX , it will search felx and so on . SO I think the best
way is to define a temp environment variable .

Zheng